import { Action } from '@ngrx/store';

export enum ActionType {
  SigninRedirect = '[app.signin] SigninRedirect',
}

export class SigninRedirect implements Action {
  readonly type = ActionType.SigninRedirect;

  constructor(public payload: {returnURL: string}) {}
}

export type Actions =
  | SigninRedirect
;
