import { NgModule, Inject } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TabbarComponent } from './app.tabbar.component';
import { PrimeNGModules } from '@overflow/commons/prime-ng/prime-ng.module';

@NgModule({
  imports: [
    CommonModule,
    PrimeNGModules,
  ],
  declarations: [
    TabbarComponent,
  ],
  exports: [
    TabbarComponent,
  ],
})
export class TabbarModule {
}
